API Documentation
Setup
Submit Jobs
Finetuning
Job Management
File Management
Custom Tools
Overview
Python SDK Reference
End to End example
GET
List custom tools
GET
Get a custom tool
POST
Create a custom tool
PATCH
Update a custom tool
DELETE
Delete a custom tool
POST
Create a source upload
POST
Build a custom tool
GET
List build logs
POST
Cancel a custom tool build
POST
Run a custom tool
POST
Publish a custom tool version
GET
List custom tool versions
Pipelines
Delete Files
DELETE
/api/delete-fileDelete files from your account using the DELETE API endpoint /delete-file.
Parameters:
filePath
(string)
Path to the file to delete. Provide either filePath or folder, but not both.
folder
(string)
Folder to delete all files from. Provide either filePath or folder, but not both.
HTTP Response Status Codes
| Status code | Description |
|---|---|
| 200 | File or folder successfully deleted |
| 400 | Bad request |
| 404 | File or folder not found |
| 405 | Method not allowed |
| 500 | Internal server error |
Delete single file
Delete all files in folder
Delete a specific file from your account.
1import requests
2
3api_key = "***************"
4headers = {'x-api-key': api_key}
5base_url = "https://app.tamarind.bio/api/"
6
7params = {
8 "filePath": "myFile.txt"
9}
10response = requests.delete(base_url + "delete-file", headers=headers, params=params)
11print(response.text)Response Format
1{
2 "message": "File deleted successfully"
3}